I've run into a particularly pedantic RFC 3428 store-and-forward server, yeah. If it's a hard fix, I can push on them to fix that instead of FS, but it'll be hard if the spec is on their side. On Fri, Oct 21, 2011 at 7:53 PM, Anthony Minessale <anthony.minessale@gmail.com> wrote:
I was just curious why you found that? Its been that way for years and nothing has ever complained. Did you just have it memorized or hit an interop issue or what?
On Fri, Oct 21, 2011 at 9:47 PM, Kurtis Heimerl <kheimerl@cs.berkeley.edu> wrote:
No, that's a separate issue, though it's totally possible that there's ANOTHER rfc that I've missed reading for that one.
Simple story: RFC 3428 (http://www.ietf.org/rfc/rfc3428.txt) says that a SIP MESSAGE should not have a contact header, and it does.
On Fri, Oct 21, 2011 at 7:40 PM, Anthony Minessale <anthony.minessale@gmail.com> wrote:
does that have anything to do with this bug about message and contact?
On Fri, Oct 21, 2011 at 9:22 PM, Kurtis Heimerl <kheimerl@cs.berkeley.edu> wrote:
I'm working on a sip client that segfaulted without the host, so that's clearly incorrect. Thanks for the direction.
On Fri, Oct 21, 2011 at 5:45 PM, Kristian Kielhofner <kris@kriskinc.com> wrote:
I just realized this is ambiguous... Technically 2543 defined "SIP 2.0" but "SIP 2.0" behavior today is generally considered to be 3261 compliant, not 2543 compliant although you still run into 2543 behavior in various ways and it's not necessarily "wrong".
On Fri, Oct 21, 2011 at 8:33 PM, Kristian Kielhofner <kris@kriskinc.com> wrote:
RFC3261 defines SIP 2.0. 2543 is deprecated. 3261 section 8.1.1.4 says:
"Use of cryptographically random identifiers (RFC 1750 [12]) in the generation of Call-IDs is RECOMMENDED. Implementations MAY use the form "localid@host". Call-IDs are case-sensitive and are simply compared byte-by-byte."
On Fri, Oct 21, 2011 at 8:20 PM, Kurtis Heimerl <kheimerl@cs.berkeley.edu> wrote: > According to the sip standard, call-ids should have a "host" trailer > (e.g., f81d4fae-7dec-11d0-a765-00a0c91e6bf6@foo.bar.com) > > Reference: http://www.ietf.org/rfc/rfc2543.txt Section 6.12 > > FreeSwitch doesn't do this, omitting the "@foo.bar.com" portion of the > above. Is there any reason why this is the case? This seems too large > of an issue to be a bug or oversight. > > Here's an example from a FS MESSAGE: > > Call-ID: 000b3694-76e4-122f-55b3-5cff350d9de5 > > _______________________________________________ > Join us at ClueCon 2011, Aug 9-11, Chicago > http://www.cluecon.com 877-7-4ACLUE > > FreeSWITCH-dev mailing list > FreeSWITCH-dev@lists.freeswitch.org > http://lists.freeswitch.org/mailman/listinfo/freeswitch-dev > UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-dev > http://www.freeswitch.org >
-- Kristian Kielhofner
-- Kristian Kielhofner
_______________________________________________ Join us at ClueCon 2011, Aug 9-11, Chicago http://www.cluecon.com 877-7-4ACLUE
FreeSWITCH-dev mailing list FreeSWITCH-dev@lists.freeswitch.org http://lists.freeswitch.org/mailman/listinfo/freeswitch-dev UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-dev http://www.freeswitch.org
_______________________________________________ Join us at ClueCon 2011, Aug 9-11, Chicago http://www.cluecon.com 877-7-4ACLUE
FreeSWITCH-dev mailing list FreeSWITCH-dev@lists.freeswitch.org http://lists.freeswitch.org/mailman/listinfo/freeswitch-dev UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-dev http://www.freeswitch.org
-- Anthony Minessale II
FreeSWITCH http://www.freeswitch.org/ ClueCon http://www.cluecon.com/ Twitter: http://twitter.com/FreeSWITCH_wire
AIM: anthm MSN:anthony_minessale@hotmail.com GTALK/JABBER/PAYPAL:anthony.minessale@gmail.com IRC: irc.freenode.net #freeswitch
FreeSWITCH Developer Conference sip:888@conference.freeswitch.org googletalk:conf+888@conference.freeswitch.org pstn:+19193869900
_______________________________________________ Join us at ClueCon 2011, Aug 9-11, Chicago http://www.cluecon.com 877-7-4ACLUE
FreeSWITCH-dev mailing list FreeSWITCH-dev@lists.freeswitch.org http://lists.freeswitch.org/mailman/listinfo/freeswitch-dev UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-dev http://www.freeswitch.org
_______________________________________________ Join us at ClueCon 2011, Aug 9-11, Chicago http://www.cluecon.com 877-7-4ACLUE
FreeSWITCH-dev mailing list FreeSWITCH-dev@lists.freeswitch.org http://lists.freeswitch.org/mailman/listinfo/freeswitch-dev UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-dev http://www.freeswitch.org
-- Anthony Minessale II
FreeSWITCH http://www.freeswitch.org/ ClueCon http://www.cluecon.com/ Twitter: http://twitter.com/FreeSWITCH_wire
AIM: anthm MSN:anthony_minessale@hotmail.com GTALK/JABBER/PAYPAL:anthony.minessale@gmail.com IRC: irc.freenode.net #freeswitch
FreeSWITCH Developer Conference sip:888@conference.freeswitch.org googletalk:conf+888@conference.freeswitch.org pstn:+19193869900
_______________________________________________ Join us at ClueCon 2011, Aug 9-11, Chicago http://www.cluecon.com 877-7-4ACLUE
FreeSWITCH-dev mailing list FreeSWITCH-dev@lists.freeswitch.org http://lists.freeswitch.org/mailman/listinfo/freeswitch-dev UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-dev http://www.freeswitch.org